Bug 57459 - rpm -Fvh --test file-3.37-2.i386.rpm dumps core
Summary: rpm -Fvh --test file-3.37-2.i386.rpm dumps core
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-13 01:28 UTC by Blair Zajac
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-15 20:57:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Blair Zajac 2001-12-13 01:28:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Windows NT 5.0; U)

Description of problem:
Getting file-3.37-2.i386.rpm from Rawhide and using rpm-4.0.3-1.03 running

rpm -Fvh --test file-3.37-2.i386.rpm 

gets a core dump.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use rpm-4.0.3-1.03
2. rpm -Fvh --test file-3.37-2.i386.rpm 
3.
	

Actual Results:  Core dump.

Expected Results:  Upgraded package.

Additional info:

Does this new package need RPM 4.0.4?

Comment 1 Blair Zajac 2001-12-15 20:57:48 UTC
I realized that this core dump is with RPM in RedHat 7.2, not the RPM in rawhide, so I'm updating the product
to RedHat Linux.

Comment 2 Jeff Johnson 2001-12-19 19:15:47 UTC
I install the file-3.37-2.i386.rpm package without segfaulting:

bash$ sudo rpm -Uvh --test file-3.37-2.i386.rpm 
Preparing...                ########################################### [100%]
bash$ sudo rpm -Uvh file-3.37-2.i386.rpm 
Preparing...                ########################################### [100%]
   1:file                   ########################################### [100%]







Note You need to log in before you can comment on or make changes to this bug.